/*
 * Copyright (c) 2008
 * Embedded Brains GmbH
 * Obere Lagerstr. 30
 * D-82178 Puchheim
 * Germany
 * rtems@embedded-brains.de
 *
 * The license and distribution terms for this file may be found in the file
 * LICENSE in this distribution or at http://www.rtems.com/license/LICENSE.
 */

package org.rtems.cdt;

public class Constants {
	public static final String [][] TARGETS = {
		{"ARM", "arm"},
		{"AVR", "avr"},
		{"Blackfin", "bfin"},
		{"Hitachi H8300", "h8300"},
		{"Intel i386", "i386"},
		{"Intel i686", "i686"},
		{"MIPS", "mips"},
		{"Motorola 68k or Freescale ColdFire", "m68k"},
		{"PowerPC", "powerpc"},
		{"SPARC", "sparc"},
		{"SuperH", "sh"}
	};
	
	public static final String DEFAULT_BASE_PATH = "/opt/rtems-4.9";
	
	public static final String DEFAULT_VERSION = "4.9";
	
	public static final int DEFAULT_TARGET_INDEX = 8;
	
	public static final String DEFAULT_TARGET_NAME = TARGETS [DEFAULT_TARGET_INDEX][0];
	
	public static final String DEFAULT_TARGET = TARGETS [DEFAULT_TARGET_INDEX][1];
	
	public static final String DEFAULT_BSP_PATH = "/opt/rtems-4.9/powerpc-rtems4.9/psim";
	
	public static final String BASE_PATH_KEY = "org.rtems.cdt.key.basePath";
	
	public static final String VERSION_KEY = "org.rtems.cdt.key.version";
	
	public static final String TARGET_KEY = "org.rtems.cdt.key.target";
	
	public static final String BSP_PATH_KEY = "org.rtems.cdt.key.bspPath";
	
	private Constants() {
		// Do nothing
	}
}
